METASOURCES = AUTO

INCLUDES = -I$(top_srcdir)/tderesources/scalix/shared -I$(top_srcdir) $(all_includes)

# The scalix wizard links to this library too
lib_LTLIBRARIES = libtdeabcscalix.la

libtdeabcscalix_la_SOURCES = resourcescalix.cpp contact.cpp
libtdeabcscalix_la_LDFLAGS = $(all_libraries) -no-undefined
libtdeabcscalix_la_LIBADD =  \
	$(top_builddir)/tderesources/scalix/shared/libresourcescalixshared.la \
	-ltderesources -ltdeabc

kde_module_LTLIBRARIES = tdeabc_scalix.la

noinst_HEADERS = resourcescalix.h

tdeabc_scalix_la_SOURCES = resourcescalix_plugin.cpp
tdeabc_scalix_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN) -no-undefined
tdeabc_scalix_la_LIBADD = libtdeabcscalix.la

servicedir = $(kde_servicesdir)/tderesources/tdeabc
service_DATA = scalix.desktop

install-data-local: $(srcdir)/../uninstall.desktop
	$(mkinstalldirs) $(DESTDIR)$(servicedir)
	$(INSTALL_DATA) $(srcdir)/../uninstall.desktop $(DESTDIR)$(servicedir)/imap.desktop
